com.android.agf.config

## Class MySupport

- java.lang.Object
- - com.android.agf.config.MySupport

-     public class MySupport
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MySupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createCachedFile(Context context, String fileName, String content)` funcio de suport per guardar un fitxer per poder-lo enviar
    `static ArrayList<StructureDashboard>` | `generaLlistat(boolean tab)` funcio per generar un llistat amb els elements disponibles segons tipus de dispositiu
    `static UserSettings` | `getAuthSharedPrefs(Context ctx)` funcio per recuperar la informació de l'usuari actual
    `static PentahoServerSettings` | `getPrefsPentaho(Context ctx)` funcio de suport per obtenir la configuracio del servidor pentaho
    `static boolean` | `hasConnection(Context ctx)` funcio de suport per saber si es disposa de connexio a internet
    `static boolean` | `isTabletDevice(Context activityContext)` funcio de support per saber si el dispositiu es una tablet o no
    `static void` | `setAuthSharedPrefs(Context ctx, UserSettings user)` funcio de support per definir l'usuari que ha accedit a l'aplicacio

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MySupport

          public MySupport()

  - ### Method Detail

    - #### isTabletDevice

          public static final boolean isTabletDevice(Context activityContext)

      funcio de support per saber si el dispositiu es una tablet o no
      Parameters:
        `activityContext` -
      Returns:

    - #### hasConnection

          public static final boolean hasConnection(Context ctx)

      funcio de suport per saber si es disposa de connexio a internet
      Parameters:
        `ctx` -
      Returns:

    - #### getPrefsPentaho

          public static final PentahoServerSettings getPrefsPentaho(Context ctx)

      funcio de suport per obtenir la configuracio del servidor pentaho
      Parameters:
        `ctx` -
      Returns:

    - #### getAuthSharedPrefs

          public static final UserSettings getAuthSharedPrefs(Context ctx)

      funcio per recuperar la informació de l'usuari actual
      Parameters:
        `ctx` -
      Returns:

    - #### setAuthSharedPrefs

          public static final void setAuthSharedPrefs(Context ctx,
                                UserSettings user)

      funcio de support per definir l'usuari que ha accedit a l'aplicacio
      Parameters:
        `ctx` -
        `user` -

    - #### createCachedFile

          public static final void createCachedFile(Context context,
                              String fileName,
                              String content)
                                             throws IOException

      funcio de suport per guardar un fitxer per poder-lo enviar
      Parameters:
        `context` -
        `fileName` -
        `content` -
      Throws:
        `IOException`

    - #### generaLlistat

          public static final ArrayList<StructureDashboard> generaLlistat(boolean tab)

      funcio per generar un llistat amb els elements disponibles segons tipus de dispositiu
      Parameters:
        `tab` -
      Returns: